Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class AnnotationItemEx

    java.lang.Object
      com.sun.tdk.signaturetest.model.AnnotationItem
          com.sun.tdk.signaturetest.model.AnnotationItemEx

All Implemented Interfaces:
  java.lang.Comparable

    public class AnnotationItemEx

extends AnnotationItem

Represents Type Annotations (JSR 308)

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.model.AnnotationItem
`AnnotationItem.Member, AnnotationItem.ValueWrap`

Field Summary
`static java.lang.String` | `ANN_BOUND_IND`
`static java.lang.String` | `ANN_LOCATIONS`
`static java.lang.String` | `ANN_PARAM_IND`
`static java.lang.String` | `ANN_TARGET_TYPE`
`static java.lang.String` | `ANN_TYPE_IND`
`static java.lang.String` | `ANNOTATION_EX_PREFIX`
`static int` | `TARGET_CLASS_EXTENDS_IMPLEMENTS`
`static int` | `TARGET_CLASS_EXTENDS_IMPLEMENTS_GENERIC_ARRAY`
`static int` | `TARGET_CLASS_LITERAL`
`static int` | `TARGET_CLASS_LITERAL_GENERIC_ARRAY`
`static int` | `TARGET_CLASS_TYPE_PARAMETER`
`static int` | `TARGET_CLASS_TYPE_PARAMETER_BOUND`
`static int` | `TARGET_CLASS_TYPE_PARAMETER_BOUND_GENERIC_ARRAY`
`static int` | `TARGET_EXCEPTION_TYPE_IN_THROWS`
`static int` | `TARGET_FIELD_GENERIC_ARRAY`
`static int` | `TARGET_LOCAL_VARIABLE`
`static int` | `TARGET_LOCAL_VARIABLE_GENERIC_ARRAY`
`static int` | `TARGET_METHOD_PARAMETER_GENERIC_ARRAY`
`static int` | `TARGET_METHOD_RECEIVER`
`static int` | `TARGET_METHOD_RETURN_TYPE_GENERIC_ARRAY`
`static int` | `TARGET_METHOD_TYPE_PARAMETER`
`static int` | `TARGET_METHOD_TYPE_PARAMETER_BOUND`
`static int` | `TARGET_METHOD_TYPE_PARAMETER_BOUND_GENERIC_ARRAY`
`static int` | `TARGET_OBJECT_CREATION`
`static int` | `TARGET_OBJECT_CREATION_GENERIC_ARRAY`
`static int` | `TARGET_TYPE_ARGUMENT_IN_CONSTRUCTOR_CALL`
`static int` | `TARGET_TYPE_ARGUMENT_IN_CONSTRUCTOR_CALL_GENERIC_ARRAY`
`static int` | `TARGET_TYPE_ARGUMENT_IN_METHOD_CALL`
`static int` | `TARGET_TYPE_ARGUMENT_IN_METHOD_CALL_GENERIC_ARRAY`
`static int` | `TARGET_TYPE_TEST`
`static int` | `TARGET_TYPE_TEST_GENERIC_ARRAY`
`static int` | `TARGET_TYPECAST`
`static int` | `TARGET_TYPECAST_GENERIC_ARRAY`
`static int` | `TARGET_WILDCARD_BOUND`
`static int` | `TARGET_WILDCARD_BOUND_GENERIC_ARRAY`

Fields inherited from class com.sun.tdk.signaturetest.model.AnnotationItem
`ANNOTATION_DOCUMENTED, ANNOTATION_INHERITED, ANNOTATION_PREFIX, EMPTY_ANNOTATIONITEM_ARRAY`

Constructor Summary
`AnnotationItemEx()`
`AnnotationItemEx(int target, java.lang.String name)`

Method Summary
`int` | `getBoundIndex()`
`int[]` | `getLocations()`
`int` | `getParameterIndex()`
`protected java.lang.String` | `getPrefix()`
`protected java.lang.String` | `getSpecificData()`
`int` | `getTargetType()`
`int` | `getTypeIndex()`
`AnnotationItemEx` | `setBoundIndex(int boundIndex)`
`AnnotationItemEx` | `setLocations(int[] locations)`
`AnnotationItemEx` | `setParameterIndex(int parameterIndex)`
`AnnotationItemEx` | `setTargetType(int target_type)`
`AnnotationItemEx` | `setTypeIndex(int typeIndex)`

Methods inherited from class com.sun.tdk.signaturetest.model.AnnotationItem
`addMember, compareTo, equals, findByName, getMembers, getName, getTarget, hashCode, isInheritable, normaliazeAnnotation, removeMember, setInheritable, setName, setTarget, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANNOTATION_EX_PREFIX

    public static final java.lang.String ANNOTATION_EX_PREFIX

See Also:
  Constant Field Values

### TARGET_METHOD_RECEIVER

    public static final int TARGET_METHOD_RECEIVER

See Also:
  Constant Field Values

### TARGET_METHOD_RETURN_TYPE_GENERIC_ARRAY

    public static final int TARGET_METHOD_RETURN_TYPE_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_METHOD_PARAMETER_GENERIC_ARRAY

    public static final int TARGET_METHOD_PARAMETER_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_FIELD_GENERIC_ARRAY

    public static final int TARGET_FIELD_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_CLASS_TYPE_PARAMETER_BOUND

    public static final int TARGET_CLASS_TYPE_PARAMETER_BOUND

See Also:
  Constant Field Values

### TARGET_CLASS_TYPE_PARAMETER_BOUND_GENERIC_ARRAY

    public static final int TARGET_CLASS_TYPE_PARAMETER_BOUND_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_METHOD_TYPE_PARAMETER_BOUND

    public static final int TARGET_METHOD_TYPE_PARAMETER_BOUND

See Also:
  Constant Field Values

### TARGET_METHOD_TYPE_PARAMETER_BOUND_GENERIC_ARRAY

    public static final int TARGET_METHOD_TYPE_PARAMETER_BOUND_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_CLASS_EXTENDS_IMPLEMENTS

    public static final int TARGET_CLASS_EXTENDS_IMPLEMENTS

See Also:
  Constant Field Values

### TARGET_CLASS_EXTENDS_IMPLEMENTS_GENERIC_ARRAY

    public static final int TARGET_CLASS_EXTENDS_IMPLEMENTS_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_EXCEPTION_TYPE_IN_THROWS

    public static final int TARGET_EXCEPTION_TYPE_IN_THROWS

See Also:
  Constant Field Values

### TARGET_WILDCARD_BOUND

    public static final int TARGET_WILDCARD_BOUND

See Also:
  Constant Field Values

### TARGET_WILDCARD_BOUND_GENERIC_ARRAY

    public static final int TARGET_WILDCARD_BOUND_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_METHOD_TYPE_PARAMETER

    public static final int TARGET_METHOD_TYPE_PARAMETER

See Also:
  Constant Field Values

### TARGET_CLASS_TYPE_PARAMETER

    public static final int TARGET_CLASS_TYPE_PARAMETER

See Also:
  Constant Field Values

### TARGET_TYPECAST

    public static final int TARGET_TYPECAST

See Also:
  Constant Field Values

### TARGET_TYPECAST_GENERIC_ARRAY

    public static final int TARGET_TYPECAST_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_TYPE_TEST

    public static final int TARGET_TYPE_TEST

See Also:
  Constant Field Values

### TARGET_TYPE_TEST_GENERIC_ARRAY

    public static final int TARGET_TYPE_TEST_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_OBJECT_CREATION

    public static final int TARGET_OBJECT_CREATION

See Also:
  Constant Field Values

### TARGET_OBJECT_CREATION_GENERIC_ARRAY

    public static final int TARGET_OBJECT_CREATION_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_LOCAL_VARIABLE

    public static final int TARGET_LOCAL_VARIABLE

See Also:
  Constant Field Values

### TARGET_LOCAL_VARIABLE_GENERIC_ARRAY

    public static final int TARGET_LOCAL_VARIABLE_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_TYPE_ARGUMENT_IN_CONSTRUCTOR_CALL

    public static final int TARGET_TYPE_ARGUMENT_IN_CONSTRUCTOR_CALL

See Also:
  Constant Field Values

### TARGET_TYPE_ARGUMENT_IN_CONSTRUCTOR_CALL_GENERIC_ARRAY

    public static final int TARGET_TYPE_ARGUMENT_IN_CONSTRUCTOR_CALL_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_TYPE_ARGUMENT_IN_METHOD_CALL

    public static final int TARGET_TYPE_ARGUMENT_IN_METHOD_CALL

See Also:
  Constant Field Values

### TARGET_TYPE_ARGUMENT_IN_METHOD_CALL_GENERIC_ARRAY

    public static final int TARGET_TYPE_ARGUMENT_IN_METHOD_CALL_GENERIC_ARRAY

See Also:
  Constant Field Values

### TARGET_CLASS_LITERAL

    public static final int TARGET_CLASS_LITERAL

See Also:
  Constant Field Values

### TARGET_CLASS_LITERAL_GENERIC_ARRAY

    public static final int TARGET_CLASS_LITERAL_GENERIC_ARRAY

See Also:
  Constant Field Values

### ANN_TARGET_TYPE

    public static final java.lang.String ANN_TARGET_TYPE

See Also:
  Constant Field Values

### ANN_TYPE_IND

    public static final java.lang.String ANN_TYPE_IND

See Also:
  Constant Field Values

### ANN_BOUND_IND

    public static final java.lang.String ANN_BOUND_IND

See Also:
  Constant Field Values

### ANN_LOCATIONS

    public static final java.lang.String ANN_LOCATIONS

See Also:
  Constant Field Values

### ANN_PARAM_IND

    public static final java.lang.String ANN_PARAM_IND

See Also:
  Constant Field Values

Constructor Detail

### AnnotationItemEx

    public AnnotationItemEx(int target,
                            java.lang.String name)

### AnnotationItemEx

    public AnnotationItemEx()

Method Detail

### getTargetType

    public int getTargetType()

### setTargetType

    public AnnotationItemEx setTargetType(int target_type)

### getLocations

    public int[] getLocations()

### setLocations

    public AnnotationItemEx setLocations(int[] locations)

### getParameterIndex

    public int getParameterIndex()

### setParameterIndex

    public AnnotationItemEx setParameterIndex(int parameterIndex)

### getBoundIndex

    public int getBoundIndex()

### setBoundIndex

    public AnnotationItemEx setBoundIndex(int boundIndex)

### getTypeIndex

    public int getTypeIndex()

### setTypeIndex

    public AnnotationItemEx setTypeIndex(int typeIndex)

### getSpecificData

    protected java.lang.String getSpecificData()

  Overrides:
    `getSpecificData` in class `AnnotationItem`

### getPrefix

    protected java.lang.String getPrefix()

  Overrides:
    `getPrefix` in class `AnnotationItem`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD